List Payment Sources

List payment sources for your Chariot account. Payment Sources represent segregated addresses for incoming deposits. In practice, this can be separate electronic bank addresses (account + routing numbers) or physical mailing addresses (lockboxes). Payment Sources make it easy to independently manage and consolidate incoming payments and donations from different sources which in turn makes reconciliation of money and data seamless. Every Payment Source belongs to a specific Financial Account and can be thought of as a gateway/door for money to flow into the Financial Account. Payment Sources are not separately ledgered which means you can't get the balance of a Payment Source separately from the Financial Account. Payment Sources should be setup and managed through the Chariot Dashboard.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.

Response

The response for PaymentSources.list
resultslist of objects or null
next_page_tokenstring or null

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors